/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.objects;

/**
 * The Defaultimplementation of <code>ArtifactStatisticValue</code>
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultArtifactStatisticValue implements ArtifactStatisticValue {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8409111023127835398L;

    /**
     * The key of the new Value.
     */
    private String key = null;

    /**
     * The value of the Object.
     */
    private String value = null;

    /**
     * Constructor
     * @param key the key of the new Value
     * @param value the value of the Object.
     */
    public DefaultArtifactStatisticValue(String key, String value) {
        super();
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return this.key;
    }

    public String getValue() {
        return this.value;
    }
}
